package xn.hxp.room.tool;

import xn.hxp.room.RoomTool;
import xn.hxp.room.bean.LabInfo;
import xn.hxp.room.bean.UserInfo;
import xn.hxp.room.dao.LabInfoDao;
import xn.hxp.room.dao.UserInfoDao;

public enum UserInfoTool {
    INSTANCE;

    private UserInfoDao userInfoDao;

    UserInfoTool() {
        userInfoDao = RoomTool.getInstance().userInfoDao();
    }

    public void insert(UserInfo userInfo) {
        userInfoDao.insert(userInfo);
    }

    public void deleteAll() {
        userInfoDao.deleteAll();
    }

    public UserInfo getUserInfo() {
        return userInfoDao.getUser();
    }
}
